({
	'busyLoading': "Loading...",
	'busyLoadingApprovals': "Loading Approvals",
	'busySaving': "Saving...",
	'busyWorking': "Working...",
	'busyRunningSearch': "Running search...",
	'busyUploading': "Uploading...",
	'buttonAdd': "Add",
	'buttonAddPrompt': "Add...",
	'buttonAddApprovers': "Add Approvers...",
	'buttonBackToCurrentQuery': "Back to Current Query",
	'buttonBackToItem': "Back to ${0}",
	'buttonCancel': "Cancel",
	'buttonCreateWorkItem': "Create Work Item",
	'buttonCreateQuery': "Create Query",
	'buttonForwardToItem': "Forward to ${0}",
	'buttonOK': "OK",	
	'buttonPrevious': "Previous",
	'buttonSave': "Save",
	'buttonNew': "New",
	'buttonNewComment': "New Comment",
	'buttonNext': "Next",
	'buttonAddLink': "Add Link: ${0}",
	'defaultOverviewTabTitle': "Overview", 
	'defaultGenericTabTitlePrefix': "Tab ${0}" ,
	'defaultTypeLabel': "Work Item",
	'dialogTitleSelectWorkItem': "Select Work Item",
	'dialogTitleSelectWorkItems': "Select Work Items",
	'dialogTitleSelectWorkItem2': " - Select Work Item",
	'dialogTitleSelectWorkItems2': " - Select Work Items",
	'errorAttachmentUpload': "Error uploading file: ${0}",
	'errorAttachmentUploadFailed': "Upload failed. Response is: ${0}",
	'errorAttachmentServerNotResponding': "File upload failed:\nThe server or file upload service is not responding,\nor an invalid fully qualified file name was provided.",
	'errorConsoleDetails': "*** Error: ${0} | Details: ${1}",
	'errorCreatingTab': "Error creating tab: ${0}",
	'errorCreatingNewWorkItem': "Error creating new work item",
	'errorDuplicateAttributePresentation': "Attribute \"${0}\" is displayed more than once. All but the first presentation have been disabled.",
	'errorNoDefaultWorkItemType': "The default work item type is not defined. Select a type using the Create Work Item button.",
	'errorEditingQuery': "Error editing query",
	'errorFetchingSearchResults': "Error running search query",
	'errorFetchingWorkItemProperties': "Error loading properties for editing the work item",
	'errorRunningQuery': "Error running query",
	'errorFetchingSortOrderDefaults': "Error fetching sort order defaults",
	'errorFecthingServerTime': 	"Error fetching server time: ${0}",
	'errorFetchingOwners': "A problem occurred while trying to fetch owners.",
	'errorGettingAttributeValue': "Error getting attribute value: ${0}",
	'errorInvalidFetchSimpleInputSelector': "Invalid fetchSimpleInputSelector: ${0}",
	'errorInvalidRegex': "Invalid regular expression: ${0}",
	'errorInvalidURI': "Invalid URI: ${0}",
	'errorInUpdateRefreshTimestamp': "Error in updateRefreshTimestamp: ${0}, ${1}",
	'errorLoadingTimeFromServer': "Error loading server time",
	'errorLoadingHistory':"Error loading History.",
	'errorLoadingProperties': "Error loading properties for editing the work item",
	'errorLoadingPresentation': "Error loading presentation for editing the work item",
	'errorLoadingQuickInformation': "Error loading quick information presentation for editing the work item",
	'errorLoadingSimpleInfo': "Error loading simple info (${0}) for editing the work item",
	'errorOpeningWorkItem': "Error opening work item",
	'errorOpeningWorkItemMessage': "Work item ID must be a positive integer (saw ${0})",
	'errorPartNotSupportedInSlot': "Part \"${0}\" is not supported in slot \"${1}\". The presentation has been skipped.",
	'errorRunningDefaultQuery': "Error running default query",
	'errorRunningSavedQuery': "Error running saved query",
	'errorRunningPotentialDuplicatesQueryCouldNotConstruct': "Could not construct Potential Duplicates search.",
	'errorRunningPotentialDuplicatesQueryMissingArgument': "Missing argument: Potential Duplicates search must have an itemId, summary or content.",
	'errorServerNotResponding': "The server is not responding or a page navigation occurred before an operation completed.\n"
							+ "Check that your server connection is working and that the server is operational,\n" 
							+ "then try the action again or refresh the page.",
	'errorUnknownKeypressType': "WorkItemEditor#_handleGenericKeypress: unknown keypress type: ${0}",
	'errorUnknownDetails': "An error occurred. Check that your server connection is working and that the server is operational, then try the action again or refresh the page.",
	'errorUnhelpful':  "An error occurred which did not produce a helpful message.",
	'headingApprovals': "Approvals",
	'headingRecentlyViewed': "Recently Viewed",
	'headingUnsavedWork': "Unsaved Work",
	'headingMyQueries': "My Queries",
	'headingSharedQueries': "Shared Queries",
	'labelApprovalApproved': "Approved",
	'labelApprovalPending': "Pending",
	'labelApprovalRejected': "Rejected",
	'labelApprovals': "Approvals",
	'labelAttachments': "Attachments",
	'labelAttachmentCancelUpload': "Cancel Upload",
	'labelAttachmentAddFile': "Add File:",
	'labelBlocks': "Blocks",
	'labelBytes': "${0} bytes",
	'labelChildren': "Children",
	'labelCorrection': "Correction:",
	'labelCreatedBy':  "Created&nbsp;by",
	'labelCurrentQuery': "Current Query: ",
	'labelCurrentWorkItem': "Current Work Item: ",
	'labelDate': "Date",
	'labelDateMinuteAgo': "1 minute ago",
	'labelDateMinutesAgo': "${0} minutes ago",
	'labelDateHourAgo': "1 hour ago",
	'labelDateHoursAgo': "${0} hours ago",
	'labelDateYesterday': "Yesterday",
	'labelDateDaysAgo': "${0} days ago",
	'labelDateLastWeek': "Last Week",
	'labelDescription': "Description",
	'labelDescriptionPlus': "Description ${0}",
	'labelDue': "Due",
	'labelDependsOn': "Depends On",
	'labelDuplicateOf': "Duplicate Of",	
	'labelEnterSearchString': "Use Work Item ID or Words from the Summary",
	'labelID': "ID",
	'labelIn': " in ",
	'labelKBytes': "${0} KB",
	'labelLink': "Link",
	'labelLoaded': "Loaded: ${0}",
	'labelMatching': "Matching Work Items:",
	'labelMore': "More...",
	'labelName': "Name",
	'labelNew': "New",
	'labelNewQuery': "New Query",
	'labelNone': "None",
	'labelNoAttachments': "No Attachments.",
	'labelNoDescription': "No Description.",
	'labelNoHistory': "No History.",
	'labelNoLinks': "No Links.",
	'labelNotAvailable': "Not Available",
	'labelNow': "Now",
	'labelNotResolved': "Not Resolved",
	'labelParent': "Parent",
	'labelPotentialDuplicates': "Potential Duplicates",
	'labelQuery': "Query",
	'labelRelated': "Related",
	'labelRecentlyViewedExcluding': "Recently Viewed Work Items excluding ${0} ${1}:",
	'labelRecentlyViewedExcludingThisWorkItem': "Recently Viewed Work Items excluding this work item:",
	'labelRecentlyViewed': "Recently Viewed Work Items:",
	'labelSimpleQuery': "Simple Query",
	'labelSaved': "Saved: ${0}",
	'labelSize': "Size",
	'labelSummary': "Summary: ",
	'labelSubscriptions': "Subscriptions",
	'labelState': "State",
	'labelStoredInRepository': "Stored in Repository",
	'labelProjectAreaAttribute': "Project Area",
	'labelTeamAreaAttribute': "Team Area",
	'labelType': "Type",
	'labelUnknownError': "Unknown",
	'labelUnknown': "Unknown",
	'labelUnnamed': "Unnamed",
	'msgApprovalApproved': "${0} approved",
	'msgApprovalPending': "${0} pending", 
	'msgApprovalRejected': "${0} rejected",
	'msgApprovalCount': "Approvals (${0})",
	'msgApprovalNameValidation': "The name may not be empty or longer than 250 characters<BR>and must be unique within the work item.<br>Leave the name blank and tab out to regenerate a default name.",
	'msgAttachmentAlreadyAdded': "An attachment with the selected file name is already to be added when this work item is saved.\n(${0})",
	'msgAttachmentUploadError': "An error occured during file upload.\nThe server or file upload service is not responding,\nor an invalid fully qualified file name was provided.",
	'msgAttachmentNotLoggedIn': "Log in to add or remove attachments.",
	'msgApproval': "Approval",
	'msgNoApprovals': "No Approvals",
	'msgAddDuplicateOfLink': "Add \"Duplicate Of\" link.",
	'msgAddDuplicateOfLinkDetails': "Click to create a link to the \"Duplicate Of\" work item.",
	'msgError': "Error!",
	'msgAnErrorOccured': "An error occured.",
	'msgClickToCreate': "Click to create a ${0} or use the drop down to select a type to create.",
	'msgClickToCreateDefault': "Click to create a default work item or use the drop down to select a type to create.",
	'msgDefaultEMailSubject': "About that Work Item...",
	'msgDurationValidation': "Enter the time spent, e.g.<BR>\"1w 2d 3h 4m\", default unit is \"h\".",
	'msgEstimateValidation': "Enter a time estimate, e.g.<BR>\"1w 2d 3h 4m\", default unit is \"h\".",
	'msgHistoryChangeBy': "Change by ${0} (${1})",
	'msgLinkCannotReferenceItself': "A work item cannot link to itself. The selected work item was skipped.",
	'msgNoSuchWorkItem': "Work Item ${0} does not exist. Search for a different work item number.",
	'msgParenCount': "(${0})",
	'msgProjectAreaIsArchived': "The project area for this work item has been archived.",	
	'msgQueryNotFound': "Query does not exist",
	'msgQueryNoDefaultQueryFound': "No default query found",
	'msgRemoveDuplicateOfLink': "Remove \"Duplicate Of\" link.",
	'msgRemoveDuplicateOfLinkDetails': "Remove the \"Duplicate Of\" link. You may need to Save or Reopen before assigning a duplicate.",
	'msgResolutionChangedToDuplicate': "Resolution has been changed to \"Duplicate\".",
	'msgResolutionChangedToDuplicateDetails': "Remove the \"Duplicate Of\" link before changing the resolution.",
	'msgResolutionSet': "The work item has a \"Duplicate Of\" link so the Resolution has been changed to \"Duplicate\". To change the status or resolution, first remove the \"Duplicate Of\" link.",
	'msgResults': "${0} result(s)",
	'msgSearchResultsOpen': "Search Results for ${0} in Open Work Items", 
	'msgSearchResults': "Search Results for ${0}",
	'msgSaveCancelledDueToUpload': "Save canceled.",
	'msgSaveCancelledDueToUploadDetails': "The Save operation was canceled because an upload was in progress.",
	'msgValueNotValid': "The value is not valid.",
	'msgWelcomeText': "To get started, " +
					"<a href='${0}' title='Create a new work item of the default type'>create a new work item</a>, " +
					"<a href='${1}' title='Create a new query'>create a new query</a>" +
 					", search for a work item, or browse existing work items by selecting a query in the left panel.",
	'msgWelcomeToWorkItems': "Welcome to Work Items",
	'operationOpeningNewWorkItem': "Opening New Work Item",
	'operationOpeningQuery': "Opening Query",	
	'operationSavingWorkItem': "Saving work item",
	'operationLoadingTypeDefinition': "Loading type definition",
	'operationRunningDefaultQuery': "Running default query",
	'operationRunningQuery': "Running Query",
	'operationRunningQueryNamed': "Running Query ${0}",
	'operationRefreshingWorkItem': "Refreshing Work Item ${0}",
	'operationOpeningWorkItem': "Opening Work Item ${0}",
	'optionSaveToEnable': "Save to Enable",
	'optionNotAvailable': "Not Available",
	'optionPlusMore': "(plus ${0} more)",
	'optionShowAll': "(Show All)",
	'pageTitleNewWorkItem': "New Work Item",
	'pageTitleQuery': "Query: ${0}",
	'pageTitleWorkItems': "Work Items: ${0}",
	'pageTitleWorkItem': "Work Item",
	'pageTitleWorkItemSummary': "${0} ${1}: ${2}", // type num: summary
	'pageTitleWorkItemSummaryMore': "${0} ${1}: ${2}...", // type num: summary...
	'promptAttachmentUploadInProgress' : "An attachment upload is in progress.\nClick OK to save anyway, or Cancel to cancel the Save.\nThe upload may complete before this message is closed.\n\nDo you want to stop the attachment upload in progress and save?",
	'promptAttachmentUploadSizeEmptyConfirm': "The file uploaded is empty (size=0). Do you want to attach the empty file?\nFile name: ${0}",
    'promptCancelWorkItemEdit': "You will lose the unsaved changes if you cancel. Do you want to cancel?",
	'promptLogInOrCancelWorkItemEdit': "You must be logged in to edit or create work items.\nPress OK to log in or Cancel to refresh.",
	'promptNavigateAway': "Are you sure you want to navigate away from this page?\n\nYou have unsaved changes.  You can change pages but must remember to return to the Work Items page to finish your unsaved work.\n\nPress OK to continue, or Cancel to stay on the current page.",
	'promptResetContinue': "Resetting will result in losing your changes. Continue with the reset action?",
	'promptResetLostChangesContinue': "Resetting will result in losing your changes except for your unsaved comment.\nYour unsaved comment will not be removed, but you must save it after the refresh action to add it to the work item.\n\nContinue with the reset action?",
	'promptRefreshContinue': "Refreshing will result in losing your changes. Continue with the refresh action?",
	'promptRefreshLostChangesContinue':"Refreshing will result in losing your changes except for your unsaved comment.\nYour unsaved comment will not be removed, but you must save it after the refresh action to add it to the work item.\n\nContinue with the refresh action?",
	'promptSave': "Save ${0}?",
	'promptUnsavedWorkItems': "You have unsaved work on the Work Items page.",
	'titleApprovalDelete': "Delete this approval from the work item",
	'titleApprovalRestore': "Restore this deleted approval",
	'titleApproverDelete': "Delete this approver from the approval",
	'titleApproverRestore': "Restore this deleted approver",
	'titleAttachmentDelete': "Remove the attachment",
	'titleAttachmentRestore':"Restore the deleted attachment.",
	'titleAttachmentCancelUpload': "Cancel upload",
	'titleCommentCollapse': "Collapse Comment",
	'titleCommentExpand': "Expand Comment",
	'titleCommentSendEmail': "Send an E-mail to the user",
	'titleFindPotentialDuplicates': "Find Potential Duplicates",
	'titleLinkDelete': "Delete this link from the work item",
	'titleLinkRestore': "Restore this deleted link",
	'titleNotSavedYet': "This work item has not yet been saved.",
	'titleOwnerSelect': "Select an owner using the user selection dialog",
	'titleSelectApprovers': "Select Approvers",
	'titleSelectOwner': "Select Owner",
	'titleShowMostRecentQueryResults': "Show the most recent query results without rerunning it.",
	'titleRunMostRecentQueryResults': "Run the most recent query again to show the latest results.",
	'titleSubscribeMe': "Subscribe Me",
	'titleSubscribersAdd': "Add Subscribers",
	'titleSubscriberRemove':"Remove this subscriber from the work item",
	'titleSubscriberRestore':"Restore this removed subscriber",
	'titleUnsubscribeMe': "Unsubscribe Me",
	'titleRefreshWorkItem': "Refresh the work item values with its saved state.",
	'titleRequiredMarker': "The value is required.",
	'titleRemoveWorkItem': "Cancel changes without saving and remove the work item from the view",
	'titleResetWorkItem': "Reset the new work item to the default new state.",
	'titleThisIsCurrent': "This is the current work item.",
	'titleThisIsLinked': "This work item is already linked."
})	