/**
 * @author hyassine
 */

dojo.provide("com.ibm.team.scm.web.ui.internal.view.browse.ActiveTeamChanges");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojo.i18n");
dojo.require("dojox.data.dom");
dojo.require("com.ibm.team.scm.web.client.util");
dojo.require("com.ibm.team.process.web.client.projectarea");
dojo.require("com.ibm.team.scm.web.client.internal.ScmClient");

dojo.require("com.ibm.team.repository.web.transport.ServiceResponseHandler");

dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

dojo.requireLocalization("com.ibm.team.scm.web.internal", "Messages");

(function() {
	var checkNotNull 		= net.jazz.ajax.toolbox.lang.checkNotNull;;
	var checkNonNegative	= net.jazz.ajax.toolbox.lang.checkNonNegative;
	var ScmUtil				= com.ibm.team.scm.web.client.util;
	var ScmClient			= com.ibm.team.scm.web.client.internal.ScmClient;
	
	/**
	 * Widget to display "Active team changes" link.
	 */
	dojo.declare(
		"com.ibm.team.scm.web.ui.internal.view.browse.ActiveTeamChanges",
		[dijit._Widget, dijit._Templated],
		{
			templatePath: dojo.moduleUrl("com.ibm.team.scm.web", "ui/internal/view/browse/templates/ActiveTeamChanges.html"),
			
			constructor: function() {
				this.messages = dojo.i18n.getLocalization("com.ibm.team.scm.web.internal", "Messages");
				this.controller= null;
			},
			
			postCreate: function() {		
				var div = document.createElement("div");
				var anchor = document.createElement("a");
				anchor.href = ScmUtil.getShowTeamChangesURI();
				anchor.title = this.messages.ActiveTeamChanges_0;
				var text = document.createTextNode(this.messages.ActiveTeamChanges_0);
				anchor.appendChild(text);
				div.appendChild(anchor);
				this.teamChanges.appendChild(div);
			}
	}
);

})();