/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.dashboard.web.ui.IMemento");

dojo.require("com.ibm.team.dashboard.web.client.internal.Constants");

(function() {

var Constants = com.ibm.team.dashboard.web.client.internal.Constants;

/*
 * An interface to a persistent memento that can be used to persist state
 * information.
 */
dojo.declare("com.ibm.team.dashboard.web.ui.IMemento",
	null, {
	
	/*
	 * Returns the object or primitive stored under the given key for this
	 * memento, or undefined if there is none.
	 */
	/* object or primitive */ get: function(/* string */ key) {
	},
	
	/*
	 * Stores the given value under the given key in this memento.
	 */
	set: function(/* string */ key, /* object or primative */ value) {
	}
});

})();